Requests | Quotes List

The Quote List end-point can be used to retrieve a list of quotes submitted by you for a given shipment.

Request URI

GET https://pluto.cargobase.com/api/1/quotes?shipment=S12345678
Content-Type: application/json
Authorization: Token your_token_here

Query Parameter

KeyValue
shipment"S12345678" - the shipment ID

Known issues

Status codes

StatusDescriptionResolution
200OKn.a.
403Forbiddencheck Authentication token

In case of a successful POST your response will contain the details that were posted, as confirmation.

Sample response

{
    "count": 3,
    "next": null,
    "previous": null,
    "page": 1,
    "record_start": 1,
    "record_end": 3,
    "results": [
        {
            "shipment_reference": "S12346578",
            "quote_reference": "Q56641234",
            "provider_reference": "PT12344874",
            "provider_team_name": "AIR NA - EU",
            "freight_mode": "Regular air freight",
            "quote_title": "Air Consolidated",
            "total_quoted_amount": 8237.0,
            "total_quoted_currency": "USD",
            "status": "Submitted",
            "pickup_city": "Toronto",
            "pickup_country": "Canada",
            "stop1_country": "France",
            "stop1_city": "Limoges",
            "primary_tracking_number": "T1981204"
        },
        {
            "shipment_reference": "S87654321",
            "quote_reference": "Q01110110",
            "provider_reference": "PT12344874",
            "provider_team_name": "AIR NA - EU",
            "freight_mode": "Next flight out (NFO)",
            "quote_title": "Air Express",
            "total_quoted_amount": 15450.0,
            "total_quoted_currency": "USD",
            "status": "Submitted",
            "pickup_city": "Toronto",
            "pickup_country": "Canada",
            "stop1_country": "France",
            "stop1_city": "Limoges",
            "primary_tracking_number": ""
        },
        {
            "shipment_reference": "S18273645",
            "quote_reference": "Q13336587",
            "provider_reference": "PT36478645",
            "provider_team_name": "Ocean NA - EU",
            "freight_mode": "Ocean freight",
            "quote_title": "Ocean PtP",
            "total_quoted_amount": 4135.0,
            "total_quoted_currency": "USD",
            "status": "Submitted",
            "pickup_city": "Toronto",
            "pickup_country": "Canada",
            "stop1_country": "France",
            "stop1_city": "Limoges",
            "primary_tracking_number": ""
        }
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Replace S12345678 with the shipment ID.

Response

Language
Credentials
http
LoadingLoading…
Response
Click Try It! to start a request and see the response here!